Package com.orchestranetworks.ui.form.widget

# Interface UICheckBox

All Superinterfaces:
  `UIAtomicWidget`, `UIAtomicWithEnumeration`, `UIAtomicWithEnumerationItem`, `UIWidget`

public interface UICheckBox extends UIAtomicWithEnumerationItem
This interface represents a checkbox corresponding to an index in an enumeration.

Since multiple checkboxes that have the same path (but different indexes) can be added to the page, the underlying field must be an aggregated list.

The checkbox can also be used for a boolean type field. In this case, only one checkbox can be added to the page, corresponding to the value `true` (i.e. the index `0` in the enumeration for a boolean type).

Please note that when checkbox is not checked, and that associated node does not offer to choose `null` as value, it will be equals to `false`.

### JavaScript type

The JavaScript type for this widget is an `Array` of `String`s (`String[]`) that corresponds to the selected keys. If no checkboxes are selected, the value will be an empty `Array`, that is, `[]`.

In the case of a boolean, since only one checkbox is present (for the value `true`), an empty `Array` represents the value `false` and an `Array` containing the value "true" represents `true`.

If an `afterValueChanged action` has been set on this widget, the JavaScript type of the value will be the same.

Since:
  5.4.1
See Also:
  - `UIFormWriter.newCheckBox(com.orchestranetworks.schema.Path)`
  - `UIResponseContext.newCheckBox(com.orchestranetworks.schema.Path)`

- ## Method Summary

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWidget

  `getActionOnAfterValueChanged, isAjaxPrevalidationEnabled, isAjaxValueSynchEnabled, setActionOnAfterValueChanged, setAjaxPrevalidationEnabled, setAjaxValueSynchEnabled`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWithEnumeration

  `getSpecificNomenclature, setSpecificNomenclature`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWithEnumerationItem

  `getIndex, isLabelEnabled, setIndex, setLabelEnabled`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIWidget

  `isEditorDisabled, setEditorDisabled`